<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Log extends MY_Controller {
	
	function __construct()
	{
		parent::__construct();
		
		$this->modul = 'log';
		$this->title = 'USER ACTIVITY';
		$this->load->model('log_mdl','mdl');
	}
	
	public function index()
	{		
		$data = array(
			'content' 	=> 	'log/log_frm',
			);		
		$this->load('tpl',$data['content'], $data);
		$this->load->view('log/log_frm_cjs');
		$this->load->view('log/log_frm_mjs');
		
	}
	
	function grid(){
		$page = isset($_POST['page']) ? intval($_POST['page']) : 1;
		$rows = isset($_POST['rows']) ? intval($_POST['rows']) : 100;	
		$key = $_REQUEST["q"];
		$rs = $this->mdl->getAll($page,$rows,$key);
		
		echo json_encode($rs);
	}
	
	function aksi($cmd)
	{
		ini_set('memory_limit', '-1');
		
		$page = isset($_POST['page']) ? intval($_POST['page']) : 1;
		$rows = isset($_POST['rows']) ? intval($_POST['rows']) : 9999999;	
		$key = $_REQUEST["q"];
		$dtdari = $_REQUEST["dtdari"];
		$dtsampai = $_REQUEST["dtsampai"];
		$rs = $this->mdl->getAll($page,$rows,$key,$dtdari,$dtsampai);
		
		if ($cmd=='cari'){
			echo json_encode($rs);
		} else {
			$data = array(
				'rs' 	=> 	$rs,
				'dtdari' 	=> 	$dtdari,
				'dtsampai' 	=> 	$dtsampai
			);	
			
			if ($cmd=='excel'){
				$filename ="Log.xls";
				header('Content-type: application/ms-excel');
				header('Content-Disposition: attachment; filename='.$filename);
			}
			$this->load->view($this->pmodul.'/print',$data);
		}
		
	}
}